<?php
// $Id: Frontpage.php.defaults.User,v 1.6 2001/12/04 00:10:34 pbaltz Exp $
// Copyright 2001 Sun Microsystems, Inc.  All Rights Reserved.
// UI extension class for Frontpage defaults for Users

include_once('UIExtension.php');

class FrontpageExtension extends UIExtension
{
	function display(&$ServerScriptHelper, &$container, $parameters)
	{
		$cce = $ServerScriptHelper->getCceClient();

		// if configuring for virtual sites, don't show if the feature
		// is not enabled 
		if ( isset($parameters["VSITE_OID"]) ) {
			$feature = $cce->get($parameters["VSITE_OID"], "Frontpage");
			if ( !$feature["enabled"] )
				return;	
		}

		$defaults = $cce->get($parameters["CCE_SERVICES_OID"], "Frontpage");

		$factory = $ServerScriptHelper->getHtmlComponentFactory("base-frontpage");

		$fpxToggle = $factory->getBoolean("Frontpage_enabled", $defaults["enabled"]);
		
		// will assume the container is a PagedBlock for the time being
		$page_id = $parameters['PAGED_BLOCK_DEFAULT_PAGE'];
		$container->addFormField($fpxToggle, 
            $factory->getLabel("enableFpxUserDefault"), $page_id);
	}

	function handle(&$ServerScriptHelper, &$errors, $parameters)
	{
		global $Frontpage_enabled;

		if(!$Frontpage_enabled)
			$Frontpage_enabled = 0;

		$cce = $ServerScriptHelper->getCceClient();
		$cce->set($parameters["CCE_SERVICES_OID"], "Frontpage", array("enabled" => $Frontpage_enabled));

		$errors = array_merge($errors, $cce->errors());
	}
}
?>
