<?php
// $Id: 60_Frontpage.php.modifyWeb.Vsite,v 1.2.2.1 2002/08/23 23:09:00 will Exp $
// Copyright 2001 Sun Microsystems, Inc.  All rights reserved.
//
// vsite frontpage settings.  Only enable and password.

include('UIExtension.php');

class FrontpageExtension extends UIExtension
{
	function display(&$ServerScriptHelper, &$container, $parameters)
	{
		$cce = $ServerScriptHelper->getCceClient();

		// will assume the container is a PagedBlock for the time being
		$page_id = $parameters['PAGED_BLOCK_DEFAULT_PAGE'];
		$factory = $ServerScriptHelper->getHtmlComponentFactory("base-frontpage");
		$feature = $cce->get($parameters["CCE_OID"], "Frontpage");

		$user =& $cce->get($cce->whoami());
		$caps = $cce->scalar_to_array($user['capLevels']);
		if ($user['systemAdministrator'] || in_array('adminUser', $caps)) {
			$fpxField =& $factory->getMultiChoice('Frontpage_enabled');
			$enable =& $factory->getOption('enable', $feature['enabled'], $parameters['FIELD_ACCESS']);
			$enable->setLabel($factory->getLabel('enable', false));
			$fpxField->addOption($enable);

			$fpxPassword = $factory->getPassword('Frontpage_passwordWebmaster');
			$fpxPassword->setOptional('silent');
			$fpxPassword->setPreserveData(false);

			$enable->addFormField($fpxPassword, $factory->getLabel('fpxPassword'));

			// Test EULA agreement
			// insert fpx eula textarea and checkbox
			list($sysoid) = $cce->find('System');
			$sys_fpx = $cce->get($sysoid, 'Frontpage');
			if ($sys_fpx['eula'] == 0) {
				$eulafp = file("/usr/local/frontpage/currentversion/LICENSE.TXT");

				$eulaText = $factory->getTextBlock('eulaText',
					implode("", $eulafp), "rw");
				$eulaText->setHeight(10);
				$eulaText->setWidth(40);
				$enable->addFormField(
					$eulaText,
					$factory->getLabel('eulaText'),
					$pageId);
                
				$eulaAccept = $factory->getBoolean('eulaAccept',
					$sys_fpx['eula']);
				$enable->addFormField(
					$eulaAccept,
					$factory->getLabel('eulaAccept'),
					$pageId);
			}

			$container->addFormField($fpxField, $factory->getLabel('fpxFullText'), $page_id);

		} else {
			// if configuring for virtual sites, don't show if the feature
			// is not enabled 
			if ( !$feature["enabled"] )
				return;	

			$container->addFormField(
				$factory->getBoolean('enable', $feature['enabled'], $parameters['FIELD_ACCESS']),
				$factory->getLabel('fpxFullText'), $page_id);
		}
	}

function handle(&$ServerScriptHelper, &$errors, $parameters)
{
	global $eulaAccept, $Frontpage_enabled, $Frontpage_passwordWebmaster;

	$cce = $ServerScriptHelper->getCceClient();

	if ($eulaAccept) {
		list($sys_oid) = $cce->find('System');
		$cce->set($sys_oid, 'Frontpage', array('eula' => 1));
	}

	// don't try to set the password unless it's there
	$settings = array();
    
	// this is only displayed to adminUsers, so it won't be set for plain
	// site admins
	if (isset($Frontpage_enabled))
		$settings['enabled'] = ($Frontpage_enabled ? 1 : 0);
    
	if ($Frontpage_passwordWebmaster != '')
		$settings['passwordWebmaster'] = $Frontpage_passwordWebmaster;
    
	if (count($settings) > 0)
	{
		$cce->set($parameters["CCE_OID"], 'Frontpage', $settings);
	}
		$errors = array_merge($errors, $cce->errors());
	}
}
?>
